#include <Arduino.h>
#include "Ulm_Logger.h"
#include "Ulm_SDStorage.h"
#include "Ulm_RGB_LED.h"
#include "Ulm_TemperatureSensor_DS18B20.h"
#include "Ulm_OLED_Display.h"
#include "Ulm_LSM6DS3.h"
#include "Ulm_MS5607.h"

struct SensorData {
    unsigned long   uptimeMillis;
    float           temperature;        // The ambient temperature in Celsius
    float           accelerationX;      // Acceleration for all three axes (g (earth gravity))
    float           accelerationY;
    float           accelerationZ;
    float           gyroscopeX;         // Gyroscope of all three axes (degrees/second)
    float           gyroscopeY;
    float           gyroscopeZ;
    double          pressure;           // Pressure in mBar
    double          altitude;           // Altitude in meters
} sensorData;


void storeSensorData() {
    //TODO
}


void setup() {
    //TODO
}


void loop() {
    //TODO
}
